Skip to main content
GET
/
core
/
api-log
List API Logs
curl --request GET \
  --url https://api.integrations.commenda.io/v4/core/api-log \
  --header 'api_key: <api-key>'
{
  "request_id": "<string>",
  "data": {
    "apiLogs": [
      {
        "id": "<string>",
        "requestId": "<string>",
        "method": "<string>",
        "url": "<string>",
        "statusCode": 123,
        "apiStatus": "<string>",
        "responseTime": 123,
        "logType": "<string>",
        "companyId": 123,
        "errorCode": "<string>",
        "jobId": "<string>",
        "createdAt": "2023-11-07T05:31:56Z"
      }
    ],
    "count": 123,
    "next": "<string>"
  }
}

Documentation Index

Fetch the complete documentation index at: https://integrations.docs.commenda.io/llms.txt

Use this file to discover all available pages before exploring further.

List API Logs.

Authorizations

api_key
string
header
required

Query Parameters

limit
integer
default:50
Required range: 1 <= x <= 100
cursor
string
status
string

Filter by API status (e.g. SUCCESS, FAILED).

fromDate
string<date-time>
toDate
string<date-time>
companyId
integer
syncId
string
logType
string[]

Response

API log list.

request_id
string
required
data
V4ListApiLogsResponse · object
required